Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Data Fields
Lucene::CompoundFileReader::FileEntry Struct Reference

`#include <CompoundFileReader.h>`

## Public Member Functions

| FileEntry (int64_t offset=0, int64_t length=0)

## Data Fields

int64_t | offset
int64_t | length

## Constructor & Destructor Documentation

## ◆ FileEntry()

Lucene::CompoundFileReader::FileEntry::FileEntry | ( | int64_t | offset = `0`,
|  | int64_t | length = `0`
| ) |  |

inline

## Field Documentation

## ◆ length

int64_t Lucene::CompoundFileReader::FileEntry::length

## ◆ offset

int64_t Lucene::CompoundFileReader::FileEntry::offset

The documentation for this struct was generated from the following file:

- CompoundFileReader.h

clucene.sourceforge.net